# Pinpoint - Payment Icons

This module adds a new block that can be included via XML or CMS to display payment icons.

## Installation

### Composer

```bash
composer require pinpoint/payment-icons
```

## Usage

### XML

```xml
<block class="Magento\Framework\View\Element\Template" name="payment-icons" template="Pinpoint_PaymentIcons::html/payment-icons.phtml" ifconfig="paymenticons/general/enabled">
    <arguments>
        <argument name="view_model" xsi:type="object">Pinpoint\PaymentIcons\ViewModel\GetOptions</argument>
    </arguments>
</block>
```

## Configuration

The module adds a new configuration section under `Stores > Configuration > Pinpoint > Payment Icons` where you can enable/disable the module and configure the icons to display.

### Display Options

- **Enabled**: Enable or disable the module.
- **Payment Icons**: Select the payment methods to display icons for.
- **Icon Style**: Select the style of the icons to display.
- **Icon Size**: Select the size of the icons to display.
- **Icon Spacing**: Select the spacing between icons.